-- Main game loop
function Main()

	--[[DisplaySplash(
		"splash/playfirst_animated_logo.swf",
		"splash/playfirst_logo",5000
		);
	]]
	
	DisplaySplash("", "splash/bfg_intro", 4000);
	DisplaySplash("", "splash/des_intro", 2500);

	-- Push the game selection screen
	while true do
		DoMainWindow("scripts/mainmenu.lua");
		-- DoMainWindow will exit only if there are NO windows pushed on the stack, so
		-- a PopModal()/PushModal() combination will not cause this to loop.
	end
end

-- Return a function to be executed in a thread
return Main


